#include <gtk/gtk.h>
#include <nuclient.h>

#define API_V2


typedef struct NuApp_ {
    GtkWidget* main_window;
    gboolean auth_on;
	gchar * username;
	gchar * password;
	gchar * host;  
	unsigned int port;  
    gint auth_at_start;
    gint start_minimized;
    guint interval;
    guint timer;
    guint timeout;
	guint timevalue;
	NuAuth * session;
} NuApp;

GdkPixbuf* OnAirNupikImage;
GdkPixbuf* NupikImage;

NuApp nuapp_datas;

gchar* config_file;

/* max interval between reconnect try */
#define RETRY_TIME_MAX 32000

void
on_quitter1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_pr__f__rences1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on____propos1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_start_stop_button_clicked           (GtkButton       *button,
                                        gpointer         user_data);

void
on_applypref_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancelpref_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_okpref_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_prefs_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

gboolean
on_main_window_destroy_event           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_okcreds_clicked                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancelbutton_creds_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_prefs_show                          (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_prefs_show                          (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_creds_realize                       (GtkWidget       *widget,
                                        gpointer         user_data);

void
on_password_activate                   (GtkEntry        *entry,
                                        gpointer         user_data);
